package com.ssj.bean.sys.problem.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

@Entity
@Table(name = "sys_cn_school_detail")
public class BanbenDetail extends BaseEntity {
    /**
     * course_name varchar(12) not null,
     * 	grade varchar(12) not null,
     * 	banben int(2) not null,
     * 	school_name varchar(200) not null,
     * 	create_time datetime ,
     * 	school_id varchar(36) not null,
     */
    private String courseName;
    private String grade;
    private Integer banben;
    private String area; //地区
    private String schoolName;
    private String schoolId;
    private Date createTime;

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public Integer getBanben() {
        return banben;
    }

    public void setBanben(Integer banben) {
        this.banben = banben;
    }

    public String getSchoolName() {
        return schoolName;
    }

    public void setSchoolName(String schoolName) {
        this.schoolName = schoolName;
    }

    public String getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(String schoolId) {
        this.schoolId = schoolId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getArea() {
        return area;
    }

    public void setArea(String area) {
        this.area = area;
    }
}
